package ca.mcgill.lmp.finite;

/**
 * A representation of a label in a LMP system.
 * 
 * @author Alexandre Bouchard
 */
public class Label 
{
	/**
	 * 
	 */
    private int index;
	
	/**
	 * 
	 * @param index
	 */
    public Label(int index)
	{
		this.index = index;	
	}
	
	/**
	 * 
	 * @return
	 */
    public int getIndex()
	{
		return index;
	}
	
	/**
	 * this is equal to label2 iff label2 is an instance of Label and they have the 
	 * same index.
	 * @param label2
	 * @return
	 */
    public boolean equals(Object label2) 
	{
		if (label2 instanceof Label)
		{
			if (((Label) label2).index == this.index)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		else
		{
			return false;
		}
	}

	/**
	 * 
	 * @return The index of this label.
	 */
	public int hashCode() 
	{
		return index;
	}

	/**
	 * 
	 * @return
	 */
	public String toString() 
	{
		if (index == 0)
		{
			return "a";
		}
		if (index == 1)
		{
			return "b";
		}
		if (index == 2)
		{
			return "c";
		}
		if (index == 3)
		{
			return "d";
		}
		return "[Label #" + index + "]";
	}	
}
